Redmine - Defect #17211

Assigning Parent Project when Copying Project
2014-06-17 23:43 - James H

Status: Closed Start date:

Priority: Low Due date:

Assignee: % Done: 0%
Category: Project settings Estimated time: 0.00 hour
Target version:

Resolution: Cant reproduce Affected version: 242
Description

Assignation of Parent Project for a project you are copying does not

When | try to assign a parent project to a project while trying to crea

"stick" until the project first creates.

te a copy of a project, everything else seems to go through

except for the parent project field. After clicking "Copy" and looking at the project page shows the new copied project on the top level.
| have to go into the project settings and assign it and "save" in order for it to go through correctly.

Happens all the time for me...

Related issues:

Related to Redmine - Feature #17499: Issues Do Not Copy when Issue Tracker is...

New

History

#1 - 2014-06-26 21:30 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Tested with 2.4-stable and trunk, works fine for me.

#2 - 2014-07-16 03:41 - Toshi MARUYAMA

- Status changed from New to Needs feedback

#3 - 2014-07-18 02:19 - James H

- File SubProject Designation.png added

It still does it for us.

| have included a screenshot of before & after "Copy" has been pressed.

Subproject is selected before "Copy" and then | scroll down and click "Copy"
The project is created but the "Subproject of" field becomes empty.

| have not changed any of the ruby code.
New project

Name * |iaq11312

Description [y [ 7 1My |[s|[c] [m][m|[m] [=]|[=

pre o @ @

Group Project for meetings, good reference documents, and other issues

Identifier * |;..41342

Length between 1 and 100 characters. Only lower case letters (a-z), numbers, dashes and underscores are allowed, must start with a lower case latter,

Once saved, the identifier cannot be changed
Homepage \p//172 19 174 190-8064

Public [+

Subproject of |, #Dayelopment - SandBox v

Inherit members

Settings

Information

Name * |taq11312

Desceaption [ 11 7 |[ul[s|[c| [m|[z][m] [=]|[=

pre o @ @

Group Project for meetings, good reference documents, and other issues

Identifier * |;..41342

Eomenane http://172.19.174.190:5064
Public [+
Subproject of v

Inherit members

#4 - 2014-07-18 03:38 - Michael Esemplare

Need more information as we cannot reproduce.

Can you provide the following:

e Plugins installed (if any)
e Excerpt of production log after the copy is executed.

#5 - 2014-07-18 18:16 - James H

No plugins.

So | did some testing:

Subprojects do not get assigned correctly during the copy action when issues have problems copying over.

Some of my issues in the "copy from" project could not copy over successfully due to certain trackers being disabled for the project. Apparently thats
the only time when the subproject returns blank.

Sort of related to #17499

#6 - 2014-08-16 10:35 - Toshi MARUYAMA
- Related to Feature #17499: Issues Do Not Copy when Issue Tracker is Disabled from "Copy From" Project added

#7 - 2020-06-12 00:01 - Go MAEDA
https://www.redmine.org/projects/redmine/wiki/Submissions
https://www.redmine.org/issues/17499

- Status changed from Needs feedback to Closed

Files

SubProject Designation.png 33.7 KB 2014-07-18 James H
